Subject: Re: [PATCH 4/9] [POWERPC] move Efika support files into platforms/52xx

From: Arnd Bergmann <[email-masked]>
Date: Mon, 27 Nov 2006 23:33:01 +0100

On Monday 27 November 2006 23:12, Benjamin Herrenschmidt wrote:
> > I know you're only moving this code, but shouldn't this really use the
> > code from arch/powerpc/kernel/rtas_pci.c? If it doesn't work out of
> > the box, I guess we should rather split out the pseries specific
> > bits from it and make the common parts more generic.
> 
> I looked into it and decided to wait before trying to do that. The 32
> bits versions are very small so it doesn't matter much anyway.

Ok, that's probably true for the current platforms. It may become more
useful to merge if we get more platforms that need extended config
space registers or multiple PCI buses.

	Arnd <><